Subject: Re: Undifined reference to _WinMain@16
From: "Gerrit P. Haase" <[email-masked]>
To: Kostadin Cholakov <[email-masked]>
Cc: [email-masked]
Date: Mon, 13 Sep 2004 22:50:02 +0200

Hello Kostadin,

Am Montag, 13. September 2004 um 22:25 schriebst du:

> I am using for a first time GCJ compiler (and I find
> it strange) but it seems to work properly. I have my
> first error message :). It is Undifined reference to
> _WinMain@16. I checked the FAQ but the explanation
> there doesn't help. In fact, it refers to GCC compiler
> and the example is an Object C file. Anyway, I tried
> by putting the -lm flag and it didn't work. I read all
> stuff provided by man to see if there are some special
> flags which I should put but I think there was nothing
> which could help me. So, please, can somebody tell me
> 2 simple commands in order to compile and then to run
> a Java program using GCJ! Should I make some
> additional changes in path or something else? Thanks!

$ cat hello.java
public class hello {
public static void main(String[] args) {
        System.out.println("Just another Java hacker,");
        }
}
$ gcj --main=hello hello.java -o hello
$ ./hello

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/